<?php

/**
 * The admin-specific functionality of the plugin.
 *
 * @link       https://www.meggnoapps.com
 * @since      1.0.0
 *
 * @package    Popquick
 * @subpackage Popquick/admin
 */

/**
 * The admin-specific functionality of the plugin.
 *
 * Defines the plugin name, version, and two examples hooks for how to
 * enqueue the admin-specific stylesheet and JavaScript.
 *
 * @package    Popquick
 * @subpackage Popquick/admin
 * @author     Meggnotec Technologies Pvt Ltd <info@meggnoapps.com>
 */
class Popquick_Admin {

	/**
	 * The ID of this plugin.
	 *
	 * @since    1.0.0
	 * @access   private
	 * @var      string    $plugin_name    The ID of this plugin.
	 */
	private $plugin_name;

	/**
	 * The version of this plugin.
	 *
	 * @since    1.0.0
	 * @access   private
	 * @var      string    $version    The current version of this plugin.
	 */
	private $version;

	/**
	 * Initialize the class and set its properties.
	 *
	 * @since    1.0.0
	 * @param      string    $plugin_name       The name of this plugin.
	 * @param      string    $version    The version of this plugin.
	 */
	public function __construct( $plugin_name, $version ) {

		$this->plugin_name = $plugin_name;
		$this->version = $version;

	}

	/**
	 * Register the stylesheets for the admin area.
	 *
	 * @since    1.0.0
	 */
	public function enqueue_styles() {

		/**
		 * This function is provided for demonstration purposes only.
		 *
		 * An instance of this class should be passed to the run() function
		 * defined in Popquick_Loader as all of the hooks are defined
		 * in that particular class.
		 *
		 * The Popquick_Loader will then create the relationship
		 * between the defined hooks and the functions defined in this
		 * class.
		 */

		wp_enqueue_style( $this->plugin_name, plugin_dir_url( __FILE__ ) . 'css/popquick-admin.css', array(), $this->version, 'all' );

	}

	/**
	 * Register the JavaScript for the admin area.
	 *
	 * @since    1.0.0
	 */
	public function enqueue_scripts() {
	}

}


	function Popquick_Create(){
		global $wpdb;
	$table_name = $wpdb->prefix . "popquick_key";
	if($wpdb->get_var('show tables like ' . $table_name) != $table_name) {
		$sql = "CREATE TABLE $table_name (
		id mediumint(9),
		signed_payload VARCHAR(1024),		
		PRIMARY  KEY (id)
		);";
	}
	require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
	dbDelta( $sql );
	add_option('Popquick_Create_version','1.0');
	}
	
	Popquick_Create();

	
add_action('admin_menu', 'my_menu_pages');
function my_menu_pages(){
	add_menu_page('Popquick: Social proof conversion app', 'PopQuick', 'manage_options', 'pop-quick' );
	add_submenu_page('pop-quick', 'Popquick: Social proof conversion app', 'Configure', 'manage_options', 'pop-quick', 'configure_fun' );
}




function configure_fun()
{
    include 'popquick_wp.php';
}




