<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://www.meggnoapps.com
 * @since             1.0.0
 * @package           Popquick
 *
 * @wordpress-plugin
 * Plugin Name:       PopQuick
 * Plugin URI:        wp-content/plugins/popquick
 * Description:       Popquick a social proof for your e-commerce website. An essential e-commerce plugin to increase your store's visitor conversion into customers.
 * Version:           1.0.0
 * Author:            Meggnotec Technologies Pvt Ltd
 * Author URI:        https://www.meggnoapps.com
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       popquick
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-popquick-activator.php
 */
function activate_popquick() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-popquick-activator.php';
	Popquick_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-popquick-deactivator.php
 */
function deactivate_popquick() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-popquick-deactivator.php';
	Popquick_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_popquick' );
register_deactivation_hook( __FILE__, 'deactivate_popquick' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-popquick.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_popquick() {

	$plugin = new Popquick();
	$plugin->run();

}
run_popquick();
